%global prerel beta

%global basever 2.0.0

Name:           tdnf
Version:        %{basever}%{?prerel:~%{prerel}}
Release:        0%{?dist}.2
Summary:        Tiny package manager similar to Yum
#SourceLicense: LGPLv2 and GPLv2
License:        GPLv2
URL:            https://github.com/vmware/tdnf
Source0:        %{url}/archive/v%{basever}%{?prerel:-%{prerel}}/%{name}-%{basever}%{?prerel:-%{prerel}}.tar.gz

# Backports from upstream
## Fixes detecting deps, building, and linking libraries for tdnf
## From: https://github.com/vmware/tdnf/commit/4223eb4d3ae67123285df57730e9b9ae3cc234b5
Patch0001:      0001-Fix-TDNF-build-configuration-to-use-pkgconfig-data-t.patch
## Patches from VMware Photon
## From: https://github.com/vmware/photon/tree/a49e890972cde558c36394d4cdd3c1aa8320ae21/SPECS/tdnf
Patch0011:      tdnf-epoch-and-perm.patch
Patch0012:      tdnf-libsolv-caching.patch
Patch0013:      tdnf-list-available.patch
Patch0014:      tdnf-updateinfo-cmd-updates.patch
Patch0015:      tdnf-fix-mem-leak.patch
Patch0016:      tdnf-fix-curl-status-type.patch
Patch0017:      tdnf-fix-error-no-repo.patch
Patch0018:      tdnf-refresh-mkcache.patch
Patch0019:      tdnf-fix-gpgcheck.patch
Patch0020:      tdnf-added-skip-options-to-check.patch


BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(libsolv)
BuildRequires:  pkgconfig(libcurl)

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
TDNF (Tiny Dandified YUM) is a tiny package manager written in C,
inspired by YUM (Yellowdog Updater, Modified).

%package libs
Summary:        Backend libraries for TDNF
License:        LGPLv2

%description libs
This package provides the libraries that implement the core functionality
of TDNF.

%package devel
Summary:        Development files for %{name}
License:        LGPLv2
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
This package provides headers and libraries for developing applications
to use %{name}.


%prep
%autosetup -n %{name}-%{basever}%{?prerel:-%{prerel}} -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}/var/cache/tdnf

%{?ldconfig_scriptlets:%ldconfig_scriptlets libs}

%files
%{_bindir}/tdnf
%dir %{_sysconfdir}/tdnf
%config(noreplace) %{_sysconfdir}/tdnf/tdnf.conf
%dir %{_var}/cache/tdnf

%files libs
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/tdnf/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 31 11:14:57 EDT 2019 Neal Gompa <ngompa13@gmail.com> - 2.0.0~beta-0.2
- Add patches from VMware Photon (vmware/photon@a49e890/SPECS/tdnf)

* Sun Mar 31 17:31:46 EDT 2019 Neal Gompa <ngompa13@gmail.com> - 2.0.0~beta-0.1
- Update to 2.0.0-beta

* Sat Apr  7 19:10:31 EDT 2018 Neal Gompa <ngompa13@gmail.com> - 2.0.0~alpha.1-0.1
- Initial packaging based on tdnf package used for Fedora RISC-V bootstrap
